/*!-----------------------------------------------------------
 * Copyright (c) Microsoft Corporation. All rights reserved.
 * Version: 0.6.0(a43fe71b7f6e022d0d1bb2d0ef8fd4e31aa3f431)
 * Released under the MIT license
 * https://github.com/Microsoft/vscode/blob/master/LICENSE.txt
 *-----------------------------------------------------------*/

define("vs/editor/editor.main.nls.de", {
	"vs/base/browser/ui/actionbar/actionbar": [
		"{0} ({1})",
	],
	"vs/base/browser/ui/aria/aria": [
		"{0} (erneut aufgetreten)",
	],
	"vs/base/browser/ui/findinput/findInput": [
		"Regulären Ausdruck verwenden",
		"Nur ganzes Wort suchen",
		"Groß-/Kleinschreibung beachten",
		"Eingabe",
	],
	"vs/base/browser/ui/inputbox/inputBox": [
		"Fehler: {0}",
		"Warnung: {0}",
		"Info: {0}",
	],
	"vs/base/common/errors": [
		"{0}. Fehlercode: {1}",
		"Berechtigung verweigert (HTTP {0})",
		"Berechtigung verweigert",
		"{0} (HTTP {1}: {2})",
		"{0} (HTTP {1})",
		"Unbekannter Verbindungsfehler ({0})",
		"Es ist ein unbekannter Verbindungsfehler aufgetreten. Entweder besteht keine Internetverbindung mehr, oder der verbundene Server ist offline.",
		"{0}: {1}",
		"Ein unbekannter Fehler ist aufgetreten. Weitere Details dazu finden Sie im Protokoll.",
		"Systemfehler ({0})",
		"Ein unbekannter Fehler ist aufgetreten. Weitere Details dazu finden Sie im Protokoll.",
		"{0} ({1} Fehler gesamt)",
		"Ein unbekannter Fehler ist aufgetreten. Weitere Details dazu finden Sie im Protokoll.",
		"Nicht implementiert",
		"ungültiges Argument: {0}",
		"ungültiges Argument",
		"ungültiger Status: {0}",
		"ungültiger Status",
		"Eine erforderliche Datei konnte nicht geladen werden. Entweder sind Sie nicht mehr mit dem Internet verbunden oder der verbundene Server ist offline. Aktualisieren Sie den Browser, und wiederholen Sie den Vorgang.",
		"Fehler beim Laden einer erforderlichen Datei. Bitte starten Sie die Anwendung neu, und versuchen Sie es dann erneut. Details: {0}",
	],
	"vs/base/common/keyCodes": [
		"Windows",
		"Steuerelement",
		"Umschalttaste",
		"Alt",
		"Befehl",
		"Windows",
		"Strg",
		"Umschalttaste",
		"Alt",
		"Befehl",
		"Windows",
	],
	"vs/base/common/severity": [
		"Fehler",
		"Warnung",
		"Info",
	],
	"vs/base/parts/quickopen/browser/quickOpenModel": [
		"{0}, Auswahl",
		"Auswahl",
	],
	"vs/base/parts/quickopen/browser/quickOpenWidget": [
		"Schnellauswahl. Nehmen Sie eine Eingabe vor, um die Ergebnisse einzugrenzen.",
		"Schnellauswahl",
	],
	"vs/base/parts/tree/browser/treeDefaults": [
		"Zuklappen",
	],
	"vs/editor/common/config/commonEditorConfig": [
		"Editor",
		"Steuert die Schriftfamilie.",
		"Steuert die Schriftbreite.",
		"Steuert den Schriftgrad.",
		"Steuert die Zeilenhöhe. Verwenden Sie 0, um LineHeight aus der FontSize-Angabe zu berechnen.",
		"Steuert die Sichtbarkeit der Zeilennummern.",
		"Steuert die Sichtbarkeit des Glyphenrands.",
		"Spalten, an denen vertikale Lineale angezeigt werden sollen",
		"Zeichen, die als Worttrennzeichen verwendet werden, wenn wortbezogene Navigationen oder Vorgänge ausgeführt werden.",
		"Die Anzahl der Leerzeichen, denen ein Tabstopp entspricht. Diese Einstellung wird basierend auf dem Inhalt der Datei überschrieben, wenn \"editor.detectIndentation\" aktiviert ist.",
		"\"number\" wurde erwartet. Beachten Sie, dass der Wert \"auto\" durch die Einstellung \"editor.detectIndentation\" ersetzt wurde.",
		"Fügt beim Drücken der TAB-TASTE Leerzeichen ein. Diese Einstellung wird basierend auf dem Inhalt der Datei überschrieben, wenn \"editor.detectIndentation\" aktiviert ist.",
		"\"boolean\" wurde erwartet. Beachten Sie, dass der Wert \"auto\" durch die Einstellung \"editor.detectIndentation\" ersetzt wurde.",
		"Beim Öffnen einer Datei werden \"editor.tabSize\" und \"editor.insertSpaces\" basierend auf den Dateiinhalten erkannt.",
		"Steuert, ob die Auswahl runde Ecken aufweist.",
		"Legt fest, ob der Editor Bildläufe über die letzte Zeile hinaus ausführt.",
		"Steuert, nach wie vielen Zeichen der Editor einen Umbruch in die nächste Zeile ausführt. Durch das Festlegen auf 0 wird der Umbruch auf Viewportbreite aktiviert (Zeilenumbruch). Wenn diese Einstellung auf -1 festgelegt wird, führt der Editor nie einen Umbruch aus.",
		"Controls if lines should wrap. The lines will wrap at min(editor.wrappingColumn, viewportWidthInColumns).",
		"Steuert den Einzug der umbrochenen Zeilen. Der Wert kann \"none\", \"same\" oder \"indent\" sein.",
		"Ein Multiplikator, der für die Mausrad-Bildlaufereignisse \"deltaX\" und \"deltaY\" verwendet werden soll.",
		"Steuert, ob Schnellvorschläge während der Eingabe angezeigt werden.",
		"Steuert die Verzögerung in ms für die Anzeige der Schnellvorschläge.",
		"Aktiviert Parameterhinweise.",
		"Steuert, ob der Editor Klammern automatisch nach dem Öffnen schließt.",
		"Steuert, ob der Editor Zeilen automatisch nach der Eingabe formatiert.",
		"Steuert, ob Vorschläge automatisch bei der Eingabe von Triggerzeichen angezeigt werden.",
		"Steuert, ob Vorschläge über die EINGABETASTE (zusätzlich zur TAB-TASTE) angenommen werden sollen. Vermeidet Mehrdeutigkeit zwischen dem Einfügen neuer Zeilen oder dem Annehmen von Vorschlägen.",
		"Steuert, ob Codeausschnitte mit anderen Vorschlägen angezeigt und wie diese sortiert werden.",
		"Wortbasierte Vorschläge aktivieren.",
		"Fügt Codeausschnitte ein, wenn ihr Präfix übereinstimmt. Funktioniert am besten, wenn \"quickSuggestions\" nicht aktiviert sind.",
		"Steuert, ob der Editor der Auswahl ähnelnde Übereinstimmungen hervorheben soll.",
		"Steuert die Anzahl von Dekorationen, die an derselben Position im Übersichtslineal angezeigt werden.",
		"Steuert den Cursoranimationsstil. Gültige Werte sind \"blink\", \"smooth\", \"phase\", \"expand\" und \"solid\".",
		"Schriftart des Editors vergrößern, wenn das Mausrad verwendet und die STRG-TASTE gedrückt wird",
		"Steuert den Cursorstil. Gültige Werte sind \"block\", \"line\" und \"underline\".",
		"Aktiviert Schriftartligaturen.",
		"Steuert die Sichtbarkeit des Cursors im Übersichtslineal.",
		"Steuert, ob der Editor Leerzeichen rendert.",
		"Steuert, ob der Editor Steuerzeichen rendern soll.",
		"Steuert, ob der Editor Einzugsführungslinien rendern soll.",
		"Controls whether the editor should render the current line highlight",
		"Steuert, ob der Editor CodeLenses anzeigt.",
		"Steuert, ob für den Editor Codefaltung aktiviert ist.",
		"Das Einfügen und Löschen von Leerzeichen folgt auf Tabstopps.",
		"Nachfolgendes automatisch eingefügtes Leerzeichen entfernen",
		"Vorschau-Editoren geöffnet lassen, auch wenn auf ihren Inhalt doppelgeklickt oder die ESC-TASTE gedrückt wird.",
		"Steuert, ob der Diff-Editor das Diff nebeneinander oder inline anzeigt.",
		"Steuert, ob der Diff-Editor Änderungen in führenden oder nachgestellten Leerzeichen als Diffs anzeigt.",
		"Steuert, ob die primäre Linux-Zwischenablage unterstützt werden soll.",
	],
	"vs/editor/common/config/defaultConfig": [
		"Editor-Inhalt",
	],
	"vs/editor/common/controller/cursor": [
		"Unerwartete Ausnahme beim Ausführen des Befehls.",
	],
	"vs/editor/common/model/textModelWithTokens": [
		"Fehler des Modus bei der Tokenumwandlung der Eingabe.",
	],
	"vs/editor/common/modes/modesRegistry": [
		"Nur-Text",
	],
	"vs/editor/common/services/bulkEdit": [
		"Die folgenden Dateien wurden in der Zwischenzeit geändert: {0}",
	],
	"vs/editor/common/services/modeServiceImpl": [
		"Contributes-Sprachdeklarationen",
		"Die ID der Sprache.",
		"Namealiase für die Sprache.",
		"Dateierweiterungen, die der Sprache zugeordnet sind.",
		"Dateinamen, die der Sprache zugeordnet sind.",
		"Dateinamen-Globmuster, die Sprache zugeordnet sind.",
		"MIME-Typen, die der Sprache zugeordnet sind.",
		"Ein regulärer Ausdruck, der mit der ersten Zeile einer Datei der Sprache übereinstimmt.",
		"Ein relativer Pfad zu einer Datei mit Konfigurationsoptionen für die Sprache.",
		"Leerer Wert für \"contributes.{0}\".",
		"Die Eigenschaft \"{0}\" ist erforderlich. Sie muss vom Typ \"string\" sein.",
		"Die Eigenschaft \"{0}\" kann ausgelassen werden. Sie muss vom Typ \"string[]\" sein.",
		"Die Eigenschaft \"{0}\" kann ausgelassen werden. Sie muss vom Typ \"string[]\" sein.",
		"Die Eigenschaft \"{0}\" kann ausgelassen werden. Sie muss vom Typ \"string\" sein.",
		"Die Eigenschaft \"{0}\" kann ausgelassen werden. Sie muss vom Typ \"string\" sein.",
		"Die Eigenschaft \"{0}\" kann ausgelassen werden. Sie muss vom Typ \"string[]\" sein.",
		"Die Eigenschaft \"{0}\" kann ausgelassen werden. Sie muss vom Typ \"string[]\" sein.",
		"Ungültige Angabe \"contributes.{0}\". Es wurde ein Array erwartet.",
	],
	"vs/editor/common/services/modelServiceImpl": [
		"[{0}] {1}",
		"Bitte aktualisieren Sie Ihre Einstellungen: \"editor.detectIndentation\" ersetzt \"editor.tabSize\": \"auto\" oder \"editor.insertSpaces\": \"auto\"",
	],
	"vs/editor/contrib/carretOperations/common/carretOperations": [
		"Verschiebt das Caretzeichen nach links.",
		"Verschiebt das Caretzeichen nach rechts.",
	],
	"vs/editor/contrib/clipboard/browser/clipboard": [
		"Ausschneiden",
		"Kopieren",
		"Einfügen",
	],
	"vs/editor/contrib/comment/common/comment": [
		"Zeilenkommentar umschalten",
		"Zeilenkommentar hinzufügen",
		"Zeilenkommentar entfernen",
		"Blockkommentar umschalten",
	],
	"vs/editor/contrib/contextmenu/browser/contextmenu": [
		"Editor-Kontextmenü anzeigen",
	],
	"vs/editor/contrib/find/browser/findWidget": [
		"Suchen",
		"Suchen",
		"Vorherige Übereinstimmung",
		"Nächste Übereinstimmung",
		"In Auswahl suchen",
		"Schließen",
		"Ersetzen",
		"Ersetzen",
		"Ersetzen",
		"Alle ersetzen",
		"Ersetzen-Modus wechseln",
		"Nur die ersten 999 Ergebnisse werden hervorgehoben, alle Suchvorgänge beziehen sich aber auf den gesamten Text.",
		"{0} von {1}",
		"Keine Ergebnisse",
	],
	"vs/editor/contrib/find/common/findController": [
		"Suchen",
		"Nächstes Element suchen",
		"Vorheriges Element suchen",
		"Nächste Auswahl suchen",
		"Vorherige Auswahl suchen",
		"Ersetzen",
		"Auswahl zur nächsten Übereinstimmungssuche hinzufügen",
		"Letzte Auswahl zu vorheriger Übereinstimmungssuche hinzufügen",
		"Letzte Auswahl in nächste Übereinstimmungssuche verschieben",
		"Letzte Auswahl in vorherige Übereinstimmungssuche verschieben",
		"Alle Vorkommen auswählen und Übereinstimmung suchen",
		"Alle Vorkommen ändern",
	],
	"vs/editor/contrib/folding/browser/folding": [
		"Auffalten",
		"Faltung rekursiv aufheben",
		"Falten",
		"Rekursiv falten",
		"Alle falten",
		"Alle auffalten",
		"Faltebene 1",
		"Faltebene 2",
		"Faltebene 3",
		"Faltebene 4",
		"Faltebene 5",
	],
	"vs/editor/contrib/format/common/formatActions": [
		"Code formatieren",
	],
	"vs/editor/contrib/goToDeclaration/browser/goToDeclaration": [
		" – {0} Definitionen",
		"Gehe zu Definition",
		"Definition an der Seite öffnen",
		"Peek-Definition",
		"Klicken Sie, um die gefundenen {0}-Definitionen anzuzeigen.",
	],
	"vs/editor/contrib/gotoError/browser/gotoError": [
		"Empfohlene Fehlerbehebungen: ",
		"Empfohlene Fehlerbehebung: ",
		"({0}/{1}) [{2}]",
		"({0}/{1})",
		"Gehe zum nächsten Fehler oder zur nächsten Warnung",
		"Gehe zum vorherigen Fehler oder zur vorherigen Warnung",
	],
	"vs/editor/contrib/hover/browser/hover": [
		"Hovern anzeigen",
	],
	"vs/editor/contrib/hover/browser/modesContentHover": [
		"Wird geladen ...",
	],
	"vs/editor/contrib/inPlaceReplace/common/inPlaceReplace": [
		"Durch vorherigen Wert ersetzen",
		"Durch nächsten Wert ersetzen",
	],
	"vs/editor/contrib/indentation/common/indentation": [
		"Einzug in Leerzeichen konvertieren",
		"Einzug in Tabstopps konvertieren",
		"Konfigurierte Tabulatorgröße",
		"Tabulatorgröße für aktuelle Datei auswählen",
		"Einzug mithilfe von Tabstopps",
		"Einzug mithilfe von Leerzeichen",
		"Einzug aus Inhalt erkennen",
		"Rendern von Leerzeichen umschalten",
		"Steuerzeichen umschalten",
	],
	"vs/editor/contrib/linesOperations/common/linesOperations": [
		"Zeile nach oben kopieren",
		"Zeile nach unten kopieren",
		"Zeile nach oben verschieben",
		"Zeile nach unten verschieben",
		"Zeilen aufsteigend sortieren",
		"Zeilen absteigend sortieren",
		"Nachgestelltes Leerzeichen kürzen",
		"Zeile löschen",
		"Zeileneinzug",
		"Zeile ausrücken",
		"Zeile oben einfügen",
		"Zeile unten einfügen",
	],
	"vs/editor/contrib/links/browser/links": [
		"BEFEHLSTASTE + Mausklick zum Aufrufen des Links",
		"STRG + Mausklick zum Aufrufen des Links",
		"Fehler beim Öffnen dieses Links, weil er nicht wohlgeformt ist: {0}",
		"Fehler beim Öffnen dieses Links, weil das Ziel fehlt.",
		"Link öffnen",
	],
	"vs/editor/contrib/multicursor/common/multicursor": [
		"Cursor oberhalb hinzufügen",
		"Cursor unterhalb hinzufügen",
		"Mehrere Cursor aus ausgewählten Zeilen erstellen",
	],
	"vs/editor/contrib/parameterHints/browser/parameterHints": [
		"Parameterhinweise auslösen",
	],
	"vs/editor/contrib/parameterHints/browser/parameterHintsWidget": [
		"{0}, Hinweis",
	],
	"vs/editor/contrib/quickFix/browser/quickFix": [
		"Schnelle Problembehebung",
	],
	"vs/editor/contrib/quickFix/browser/quickFixSelectionWidget": [
		"{0}, Vorschlag für Quick Fix",
		"Wird geladen...",
		"Keine Problembehebungsvorschläge.",
		"Schneller Fix",
		"{0}, angenommen",
	],
	"vs/editor/contrib/quickOpen/browser/gotoLine": [
		"Gehe zur Zeile {0} und Spalte {1}",
		"Gehe zu Zeile {0}",
		"Zeilennummer zwischen 1 und {0} eingeben, zu der navigiert werden soll",
		"Geben Sie eine Spaltennummer zwischen 1 und {0} ein, zu der navigiert werden soll",
		"Go to line {0}",
		"Geben Sie eine Zeilennummer ein, gefolgt von einem optionalen Doppelpunkt und einer Spaltennummer, zu der Sie navigieren möchten",
		"Gehe zu Zeile...",
	],
	"vs/editor/contrib/quickOpen/browser/quickCommand": [
		"{0}, commands",
		"Name der zu ausführenden Aktion eingeben",
		"Befehlspalette",
	],
	"vs/editor/contrib/quickOpen/browser/quickOutline": [
		"{0}, symbols",
		"Name des Bezeichners eingeben, zu dem navigiert werden soll",
		"Gehe zu Symbol...",
		"Symbole ({0})",
		"Module ({0})",
		"Klassen ({0})",
		"Schnittstellen ({0})",
		"Methoden ({0})",
		"Funktionen ({0})",
		"Eigenschaften ({0})",
		"Variablen ({0})",
		"Variablen ({0})",
		"Konstruktoren ({0})",
		"Aufrufe ({0})",
	],
	"vs/editor/contrib/referenceSearch/browser/referenceSearch": [
		" – {0} Verweise",
		"Alle Verweise suchen",
	],
	"vs/editor/contrib/referenceSearch/browser/referencesController": [
		"Wird geladen...",
	],
	"vs/editor/contrib/referenceSearch/browser/referencesWidget": [
		"Fehler beim Auflösen der Datei.",
		"{0} Verweise",
		"{0} Verweis",
		"Keine Vorschau verfügbar.",
		"Verweise",
		"Keine Ergebnisse",
		"Verweise",
	],
	"vs/editor/contrib/rename/browser/rename": [
		"Fehler bei der Ausführung der Umbenennung.",
		"Symbol umbenennen",
	],
	"vs/editor/contrib/rename/browser/renameInputField": [
		"Benennen Sie die Eingabe um. Geben Sie einen neuen Namen ein, und drücken Sie die EINGABETASTE, um den Commit auszuführen.",
	],
	"vs/editor/contrib/rename/common/rename": [
		"Kein Ergebnis.",
	],
	"vs/editor/contrib/smartSelect/common/jumpToBracket": [
		"Gehe zu Klammer",
	],
	"vs/editor/contrib/smartSelect/common/smartSelect": [
		"Auswahl erweitern",
		"Auswahl verkleinern",
	],
	"vs/editor/contrib/suggest/browser/suggestController": [
		"Trigger Suggest",
	],
	"vs/editor/contrib/suggest/browser/suggestWidget": [
		"Mehr anzeigen...{0}",
		"{0}, Vorschlag, hat Details",
		"{0}, Vorschlag",
		"Zurück",
		"Wird geladen...",
		"Keine Vorschläge.",
		"{0}, angenommen",
		"{0}, Vorschlag, hat Details",
		"{0}, Vorschlag",
	],
	"vs/editor/contrib/toggleTabFocusMode/common/toggleTabFocusMode": [
		"Verwendung der TAB-Taste zum Einstellen des Fokus wechseln",
	],
	"vs/editor/contrib/toggleWordWrap/common/toggleWordWrap": [
		"Ansicht: Zeilenumbruch umschalten",
	],
	"vs/editor/contrib/zoneWidget/browser/peekViewWidget": [
		"Schließen",
	],
	"vs/languages/html/common/html.contribution": [
		"HTML",
		"Die maximale Anzahl von Zeichen pro Zeile (0 = deaktiviert).",
		"Die Liste der Tags (durch Kommas getrennt), die nicht erneut formatiert werden sollen. \"null\" bezieht sich standardmäßig auf alle Tags, die unter https://www.w3.org/TR/html5/dom.html#phrasing-content aufgeführt werden.",
		"Nimmt einen Einzug für <head>- und <body>-Abschnitte vor.",
		"Gibt an, ob vorhandene Zeilenumbrüche vor Elemente beibehalten werden sollen. Funktioniert nur vor Elementen, nicht in Tags oder für Text.",
		"Die maximale Anzahl von Zeilenumbrüchen, die in einem Block beibehalten werden soll. Verwenden Sie \"null\" für eine unbegrenzte Anzahl.",
		"Formatiert {{#foo}} und {{/foo}} und nimmt einen Einzug vor.",
		"Endet mit einer neuen Zeile.",
		"Die Liste der Tags (durch Kommas getrennt), vor denen eine zusätzliche neue Zeile eingefügt werden soll. \"null\" verwendet standardmäßig \"head, body, /HTML\".",
		"Configures if the built-in HTML language support suggests Angular V1 tags and properties.",
		"Configures if the built-in HTML language support suggests Ionic tags, properties and values.",
		"Configures if the built-in HTML language support suggests HTML5 tags, properties and values.",
	],
	"vs/platform/configuration/common/configurationRegistry": [
		"Trägt Konfigurationseigenschaften bei.",
		"Eine Zusammenfassung der Einstellungen. Diese Bezeichnung wird in der Einstellungsdatei als trennender Kommentar verwendet.",
		"Die Beschreibung der Konfigurationseigenschaften.",
		"Wenn eine Festlegung erfolgt, muss \"configuration.type\" auf \"object\" festgelegt werden.",
		"configuration.title muss eine Zeichenfolge sein.",
		"\"configuration.properties\" muss ein Objekt sein.",
	],
	"vs/platform/extensions/common/abstractExtensionService": [
		"Fehler beim Aktivieren der Extension \"{1}\". Ursache: unbekannte Abhängigkeit \"{0}\".",
		"Fehler beim Aktivieren der Extension \"{1}\". Ursache: Fehler beim Aktivieren der Extension \"{0}\".",
		"Fehler beim Aktivieren der Extension \"{0}\". Ursache: mehr als 10 Ebenen von Abhängigkeiten (wahrscheinlich eine Abhängigkeitsschleife).",
		"Fehler beim Aktivieren der Extension \"{0}\": {1}.",
	],
	"vs/platform/extensions/common/extensionsRegistry": [
		"Es wurde eine leere Extensionbeschreibung abgerufen.",
		"Die Eigenschaft \"{0}\" ist erforderlich. Sie muss vom Typ \"string\" sein.",
		"Die Eigenschaft \"{0}\" ist erforderlich. Sie muss vom Typ \"string\" sein.",
		"Die Eigenschaft \"{0}\" ist erforderlich. Sie muss vom Typ \"string\" sein.",
		"Die Eigenschaft \"{0}\" ist erforderlich und muss vom Typ \"object\" sein.",
		"Die Eigenschaft \"{0}\" ist erforderlich. Sie muss vom Typ \"string\" sein.",
		"Die Eigenschaft \"{0}\" kann ausgelassen werden oder muss vom Typ \"string[]\" sein.",
		"Die Eigenschaft \"{0}\" kann ausgelassen werden oder muss vom Typ \"string[]\" sein.",
		"Die Eigenschaften \"{0}\" und \"{1}\" müssen beide angegeben oder beide ausgelassen werden.",
		"Die Eigenschaft \"{0}\" kann ausgelassen werden oder muss vom Typ \"string\" sein.",
		"Es wurde erwartet, dass \"main\" ({0}) im Ordner ({1}) der Extension enthalten ist. Dies führt ggf. dazu, dass die Extension nicht portierbar ist.",
		"Die Eigenschaften \"{0}\" und \"{1}\" müssen beide angegeben oder beide ausgelassen werden.",
		"Der Anzeigename für die Extension, der im VS Code-Katalog verwendet wird.",
		"Die vom VS Code-Katalog zum Kategorisieren der Extension verwendeten Kategorien.",
		"Das in VS Code Marketplace verwendete Banner.",
		"Die Bannerfarbe für die Kopfzeile der VS Code Marketplace-Seite.",
		"Das Farbdesign für die Schriftart, die im Banner verwendet wird.",
		"Der Herausgeber der VS Code-Extension.",
		"Aktivierungsereignisse für die VS Code-Extension.",
		"Abhängigkeiten von anderen Erweiterungen. Der Bezeichner einer Erweiterung ist immer ${publisher}.${name}, beispielsweise \"vscode.csharp\".",
		"Ein Skript, das ausgeführt wird, bevor das Paket als VS Code-Extension veröffentlicht wird.",
		"Alle Beiträge der VS Code-Extension, die durch dieses Paket dargestellt werden.",
	],
	"vs/platform/keybinding/browser/keybindingServiceImpl": [
		"Die folgenden weiteren Befehle sind verfügbar: ",
		"({0}) wurde gedrückt. Es wird auf die zweite Taste der Kombination gewartet...",
		"Die Tastenkombination ({0}, {1}) ist kein Befehl.",
	],
	"vs/platform/message/common/message": [
		"Schließen",
		"Später",
		"Abbrechen",
	]
});