/*!-----------------------------------------------------------
 * Copyright (c) Microsoft Corporation. All rights reserved.
 * Version: 0.6.0(a43fe71b7f6e022d0d1bb2d0ef8fd4e31aa3f431)
 * Released under the MIT license
 * https://github.com/Microsoft/vscode/blob/master/LICENSE.txt
 *-----------------------------------------------------------*/
(function(){var e=["vs/languages/handlebars/common/handlebarsTokenTypes","exports","require","vs/languages/handlebars/common/handlebars","vs/editor/common/modes","vs/languages/html/common/html","vs/platform/instantiation/common/instantiation","vs/platform/configuration/common/configuration","vs/editor/common/modes/languageConfigurationRegistry","vs/editor/common/modes/abstractMode","vs/base/common/async","vs/editor/common/services/compatWorkerService","vs/platform/workspace/common/workspace","vs/editor/common/services/modeService"],t=function(t){for(var n=[],r=0,i=t.length;r<i;r++)n[r]=e[t[r]];return n};define(e[0],t([2,1]),function(e,t){"use strict";t.EMBED="punctuation.expression.unescaped.handlebars",t.EMBED_UNESCAPED="punctuation.expression.handlebars",t.KEYWORD="keyword.helper.handlebars",t.VARIABLE="variable.parameter.handlebars"});var n=this&&this.__extends||function(e,t){function n(){this.constructor=e}for(var r in t)t.hasOwnProperty(r)&&(e[r]=t[r]);e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)},r=this&&this.__decorate||function(e,t,n,r){var i,o=arguments.length,s=o<3?t:null===r?r=Object.getOwnPropertyDescriptor(t,n):r;if("object"==typeof Reflect&&"function"==typeof Reflect.decorate)s=Reflect.decorate(e,t,n,r);else for(var a=e.length-1;a>=0;a--)(i=e[a])&&(s=(o<3?i(s):o>3?i(t,n,s):i(t,n))||s);return o>3&&s&&Object.defineProperty(t,n,s),s},i=this&&this.__param||function(e,t){return function(n,r){t(n,r,e)}};define(e[3],t([2,1,4,5,0,6,13,8,9,10,11,12,7]),function(e,t,o,s,a,c,d,p,l,u,h,g,f){"use strict";!function(e){e[e.HTML=0]="HTML",e[e.Expression=1]="Expression",e[e.UnescapedExpression=2]="UnescapedExpression"}(t.States||(t.States={}));var m=t.States,v=function(e){function t(t,n,r,i,o,s,a,c){e.call(this,t,n,i,o,s,a,c),this.handlebarsKind=r}return n(t,e),t.prototype.makeClone=function(){return new t(this.getMode(),this.kind,this.handlebarsKind,this.lastTagName,this.lastAttributeName,this.embeddedContentType,this.attributeValueQuote,this.attributeValueLength)},t.prototype.equals=function(n){return n instanceof t&&e.prototype.equals.call(this,n)},t.prototype.tokenize=function(t){switch(this.handlebarsKind){case m.HTML:if(t.advanceIfString("{{{").length>0)return this.handlebarsKind=m.UnescapedExpression,{type:a.EMBED_UNESCAPED};if(t.advanceIfString("{{").length>0)return this.handlebarsKind=m.Expression,{type:a.EMBED};break;case m.Expression:case m.UnescapedExpression:if(this.handlebarsKind===m.Expression&&t.advanceIfString("}}").length>0)return this.handlebarsKind=m.HTML,{type:a.EMBED};if(this.handlebarsKind===m.UnescapedExpression&&t.advanceIfString("}}}").length>0)return this.handlebarsKind=m.HTML,{type:a.EMBED_UNESCAPED};if(t.skipWhitespace().length>0)return{type:""};if("#"===t.peek())return t.advanceWhile(/^[^\s}]/),{type:a.KEYWORD};if("/"===t.peek())return t.advanceWhile(/^[^\s}]/),{type:a.KEYWORD};if(t.advanceIfString("else")){var n=t.peek();if(" "===n||"\t"===n||"}"===n)return{type:a.KEYWORD};t.goBack(4)}if(t.advanceWhile(/^[^\s}]/).length>0)return{type:a.VARIABLE}}return e.prototype.tokenize.call(this,t)},t}(s.State);t.HandlebarsState=v;var E=function(e){function t(t,n,r,i,o,s){e.call(this,t,n,r,i,o,s)}return n(t,e),t.prototype._registerSupports=function(){var e=this;o.SuggestRegistry.register(this.getId(),{triggerCharacters:[".",":","<",'"',"=","/"],provideCompletionItems:function(t,n,r){return u.wireCancellationToken(r,e._provideCompletionItems(t.uri,n))}},!0),o.DocumentHighlightProviderRegistry.register(this.getId(),{provideDocumentHighlights:function(t,n,r){return u.wireCancellationToken(r,e._provideDocumentHighlights(t.uri,n))}},!0),o.LinkProviderRegistry.register(this.getId(),{provideLinks:function(t,n){return u.wireCancellationToken(n,e.provideLinks(t.uri))}},!0),p.LanguageConfigurationRegistry.register(this.getId(),t.LANG_CONFIG)},t.prototype.getInitialState=function(){return new v(this,s.States.Content,m.HTML,"","","","",0)},t.prototype.getLeavingNestedModeData=function(t,n){var r=e.prototype.getLeavingNestedModeData.call(this,t,n);return r&&(r.stateAfterNestedMode=new v(this,s.States.Content,m.HTML,"","","","",0)),r},t.LANG_CONFIG={wordPattern:l.createWordRegExp("#-?%"),comments:{blockComment:["<!--","-->"]},brackets:[["<!--","-->"],["{{","}}"]],__electricCharacterSupport:{embeddedElectricCharacters:["*","}","]",")"]},autoClosingPairs:[{open:"{",close:"}"},{open:"[",close:"]"},{open:"(",close:")"},{open:'"',close:'"'},{open:"'",close:"'"}],surroundingPairs:[{open:"<",close:">"},{open:'"',close:'"'},{open:"'",close:"'"}],onEnterRules:[{beforeText:new RegExp("<(?!(?:"+s.EMPTY_ELEMENTS.join("|")+"))(\\w[\\w\\d]*)([^/>]*(?!/)>)[^<]*$","i"),afterText:/^<\/(\w[\w\d]*)\s*>$/i,action:{indentAction:o.IndentAction.IndentOutdent}},{beforeText:new RegExp("<(?!(?:"+s.EMPTY_ELEMENTS.join("|")+"))(\\w[\\w\\d]*)([^/>]*(?!/)>)[^<]*$","i"),action:{indentAction:o.IndentAction.Indent}}]},t=r([i(1,c.IInstantiationService),i(2,d.IModeService),i(3,h.ICompatWorkerService),i(4,g.IWorkspaceContextService),i(5,f.IConfigurationService)],t)}(s.HTMLMode);t.HandlebarsMode=E})}).call(this);
//# sourceMappingURL=../../../../../min-maps/vs/languages/handlebars/common/handlebars.js.map